For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transactions

Push Transaction

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
externalIdstring · min: 1 · nullableOptional

External transaction ID

amountnumberRequired

Transfer amount

assetFormatstring · min: 1 · nullableOptional

Name of venue, in format of which network and currency are transmitted

sourceAddressesstring[] · min: 1Required

Sender's wallet addresses

destinationAddressstring · min: 1Required

Recipient's wallet address

txHashstring · min: 1 · nullableOptional

Unique hash or identifier on the network

payloadobject · PayloadOptional

Transaction payload to help identify sender and recipient

createdAtstring · date-timeRequired

Date and time of transaction

Responses
200

Successful Response

application/json
uidstring · uuidRequired

Internal transaction UID

externalIdstring · nullableRequired

External transaction ID

sourceAddressUidstring · uuidRequired

Sender's address UID

destinationAddressUidstring · uuidRequired

Recipient's address UID

typestring · enumRequiredPossible values:
directionstring · enumRequiredPossible values:
amountnumberRequired

Transfer amount

txHashstring · nullableRequired

Unique hash or identifier on the network

sourceAddressesstring[]Required

Sender's wallet addresses

destinationAddressstringRequired

Recipient's wallet address

createdAtstring · date-timeRequired

Date and time of transaction

post/api/v1/transactions
POST /api/v1/transactions HTTP/1.1
Host: api.finchguard.com/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324

{
  "externalId": "text",
  "amount": 1,
  "asset": {
    "network": "text",
    "currency": "text"
  },
  "assetFormat": "text",
  "sourceAddresses": [
    "text"
  ],
  "destinationAddress": "text",
  "txHash": "text",
  "payload": {},
  "fee": {
    "amount": 1,
    "currency": "text"
  },
  "venue": {
    "name": "text",
    "accountId": "text",
    "transactionId": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z"
}
{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "externalId": "text",
  "sourceAddressUid": "123e4567-e89b-12d3-a456-426614174000",
  "destinationAddressUid": "123e4567-e89b-12d3-a456-426614174000",
  "type": "internal",
  "direction": "incoming",
  "amount": 1,
  "asset": {
    "uid": "123e4567-e89b-12d3-a456-426614174000",
    "network": "text",
    "currency": "text"
  },
  "txHash": "text",
  "sourceAddresses": [
    "text"
  ],
  "destinationAddress": "text",
  "fee": {
    "amount": 1,
    "currency": "text"
  },
  "venue": {
    "name": "text",
    "accountId": "text",
    "transactionId": "text"
  },
  "createdAt": "2026-01-01T00:00:00.000Z"
}

Last updated